#!/bin/sh
#------------------------------------------------------------------------------
# Creation:     bastard
# Last Update:  $Id: rrdtool.cgi 9976 2005-10-16 17:29:32Z hh $
#------------------------------------------------------------------------------

bt='bgcolor="#FFFFFF" text="#000000"'
myname=`basename $0`
. /var/run/rrdtool.cfg

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo "Refresh: 300; URL=$myname"
echo
echo "<html><head>"
echo "<meta HTTP-EQUIV=\"Refresh\" CONTENT=\"300;url=$myname\">"
echo "<meta http-equiv=\"expires\" content=\"0\">"
echo "<LINK REL=STYLESHEET TYPE=\"text/css\" HREF=\"main.css\">"
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"rrdtool.css\" media=\"screen\" title=\"rrd\" />"
echo
echo "<title>rrdtool</title></head><body class=\"back\">"
echo "<center><h1>rrdtool</h1>"

#
# Menue - Links
#

for idx in `seq 1 $RRDTOOL_N`
do
	eval source='$RRDTOOL_'$idx'_SOURCE'
	eval options='$RRDTOOL_'$idx'_OPTIONS'
	eval vil='$RRDTOOL_'$idx'_VALUE_INTERVAL'
	eval gil='$RRDTOOL_'$idx'_GRAPH_INTERVAL'
	eval gpath='$RRDTOOL_'$idx'_GRAPH_PATH'

	if [ "$options" != "" ]
	then
		echo "$source ["
		for option in $options
		do
			echo "<a href=\"$myname#$source-$option\">$option</a> "
		done
		echo "]<br>"
	else
		echo "<a href=\"$myname#$source\">$source</a><br>"
	fi
done
echo "<hr>"

#
# Grafiken und Anker
#

schema="s1"
farbe="a"

for idx in `seq 1 $RRDTOOL_N`
do
	eval source='$RRDTOOL_'$idx'_SOURCE'
	eval options='$RRDTOOL_'$idx'_OPTIONS'
	eval vil='$RRDTOOL_'$idx'_VALUE_INTERVAL'
	eval gil='$RRDTOOL_'$idx'_GRAPH_INTERVAL'
	eval gpath='$RRDTOOL_'$idx'_GRAPH_PATH'
	if [ "$options" != "" ]
	then
		echo "<h1>$source</h1>"
		echo "<span class=\"tabletext\">"
		for option in $options
		do
			echo "<a name=\"$source-$option\"></a>"
			echo "<span class=\"tabletext\">$source-$option</span>"
			echo "<table width=\"99%\">"
			for intervall in e-3h e-24h e-1w e-1m e-1y
			do
				echo "<tr><td class=$schema$farbe>"
				echo "<span class=\"tabletext\">"
				case "$intervall" in
				"e-3h")
					echo "letzte 3h";;
				"e-24h")
					echo "letzte 24h";;
				"e-1w")
					echo "letzte Woche";;
				"e-1m")
					echo "letzter Monat";;
				"e-1y")
					echo "letztes Jahr";;
				esac
				echo "</span>"
				echo "<br><img src=\"$source/$option-$intervall.png\"><br><br>"
				echo "</td></tr>"
				if [ "$farbe" = "a" ]
				then
					farbe="b"
				else
					farbe="a"
				fi
			done
			echo "</table>"
			echo "<hr>"
			if [ "$schema" = "s1" ]
			then
				schema="s2"
			else
				schema="s1"
			fi
 		done
	else
		echo "<h1><a name=\"$source\">$source</a></h1>"
		for intervall in e-3h e-24h e-1w e-1m e-1y
		do
			case "$intervall" in
			"e-3h")
				echo "letzte 3h";;
			"e-24h")
				echo "letzte 24h";;
			"e-1w")
				echo "letzte Woche";;
			"e-1m")
				echo "letzter Monat";;
			"e-1y")
				echo "letztes Jahr";;
			esac
			echo "<br><img src=\"$source/$source-$intervall.png\"><br><br>"
		done
		echo "<hr>"
	fi
done

echo "</body></html>"
